ddns-update-style interim;
ignore client-updates;

shared-network blue-net
{
subnet 192.168.70.0 netmask 255.255.255.0 {
        allow booting;
        allow bootp;
# --- default gateway
        option routers                  192.168.70.254;
        option subnet-mask              255.255.255.0;

        option nis-domain               "blue-net";
        option domain-name              "blue.cs.clemson.edu cs.clemson.edu eth1.cs.clemson.edu";
        option domain-name-servers      192.168.70.254;

        option time-offset              -19000; # Eastern Standard Time
#       option ntp-servers              192.168.70.254;
#       option netbios-name-servers     192.168.1.1;
# --- Selects point-to-point node (default is hybrid). Don't change this unless
# -- you understand Netbios very well
#       option netbios-node-type 2;

#       range dynamic-bootp 192.168.70.50 192.168.70.99;
#       default-lease-time 21600;
#       max-lease-time 43200;
# Theoretically this will cause us NOT to respond to
# broadcasts on eth1
        local-address 192.168.70.254;
         pool {
             range 192.168.70.100 192.168.70.250;
             deny known-clients;
         }

    group {
#   tftp server address and pxe boot file
            next-server 192.168.70.254;
            filename "pxelinux.0";
            host blue15  {
                hardware ethernet 00:0D:60:9C:4D:22;
                fixed-address 192.168.70.15;
                option root-path
               "192.168.70.253:/local/glint/blue15";
             }
            host blue16  {
                hardware ethernet 00:0D:60:9C:71:94;
                fixed-address 192.168.70.16;
                option root-path
               "192.168.70.253:/local/glint/blue16";
             }
            host blue17  {
                hardware ethernet 00:0D:60:9C:4C:0C;
                fixed-address 192.168.70.17;
                option root-path
               "192.168.70.253:/local/glint/blue17";
             }
            host blue18  {
                hardware ethernet 00:0D:60:9C:5C:8E;
                fixed-address 192.168.70.18;
                option root-path
               "192.168.70.253:/local/glint/blue18";
             }
            host blue19  {
                hardware ethernet 00:0D:60:9C:72:26;
                fixed-address 192.168.70.19;
                option root-path
               "192.168.70.254:/local/glint/blue19";
             }
            host blue20  {
                hardware ethernet 00:0D:60:9C:71:C4;
                fixed-address 192.168.70.20;
                option root-path
               "192.168.70.254:/local/glint/blue20";
             }
            host blue21  {
                hardware ethernet 00:0D:60:9D:45:40;
                fixed-address 192.168.70.21;
                option root-path
               "192.168.70.254:/local/glint/blue21";
             }
            host blue22  {
                hardware ethernet 00:0D:60:9C:71:A6;
                fixed-address 192.168.70.22;
                option root-path
               "192.168.70.254:/local/glint/blue22";
             }
            host blue23  {
                hardware ethernet 00:0D:60:9D:4D:0A;
                fixed-address 192.168.70.23;
                option root-path
               "192.168.70.254:/local/glint/blue23";
             }
            host blue24  {
                hardware ethernet 00:0D:60:9C:73:0E;
                fixed-address 192.168.70.24;
                option root-path
               "192.168.70.254:/local/glint/blue24";
             }
            host blue25  {
                hardware ethernet 00:0D:60:9D:4C:B4;
                fixed-address 192.168.70.25;
                option root-path
               "192.168.70.254:/local/glint/blue25";
             }
            host blue26  {
                hardware ethernet 00:0D:60:9C:5A:86;
                fixed-address 192.168.70.26;
                option root-path
               "192.168.70.254:/local/glint/blue26";
             }
            host blue27  {
                hardware ethernet 00:0D:60:9D:4C:94;
                fixed-address 192.168.70.27;
                option root-path
               "192.168.70.254:/local/glint/blue27";
             }
            host blue28  {
                hardware ethernet 00:14:5E:3E:94:7E;
                fixed-address 192.168.70.28;
                option root-path
               "192.168.70.254:/local/glint/blue28";
             }
            host blue29  {
                hardware ethernet 00:1A:64:F4:26:2C;
                fixed-address 192.168.70.29;
             }
            host blue30  {
                hardware ethernet 00:1A:64:F4:21:2E;
                fixed-address 192.168.70.30;
             }
            host blue31  {
                hardware ethernet 00:1A:64:F4:27:16;
                fixed-address 192.168.70.31;
             }
            host blue32  {
                hardware ethernet 00:1A:64:F4:27:E2;
                fixed-address 192.168.70.32;
             }
            host blue33  {
                hardware ethernet 00:1A:64:F4:25:CC;
                fixed-address 192.168.70.33;
             }
            host blue34  {
                hardware ethernet 00:1A:64:F4:26:1A;
                fixed-address 192.168.70.34;
             }
            host blue35  {
                hardware ethernet 00:1A:64:F4:27:82;
                fixed-address 192.168.70.35;
             }
            host blue36  {
                hardware ethernet 00:14:5E:3E:BC:C6;
                fixed-address 192.168.70.36;
             }
            host blue37  {
                hardware ethernet 00:14:5E:3E:BD:98;
                fixed-address 192.168.70.37;
             }
            host blue38  {
                hardware ethernet 00:14:5E:3E:92:7E;
                fixed-address 192.168.70.38;
             }
            host blue39  {
                hardware ethernet 00:14:5E:3E:BD:B8;
                fixed-address 192.168.70.39;
             }
            host blue40  {
                hardware ethernet 00:14:5E:3E:94:46;
                fixed-address 192.168.70.40;
             }
            host blue41  {
                hardware ethernet 00:14:5E:3E:BC:C4;
                fixed-address 192.168.70.41;
                option root-path
               "192.168.70.254:/local/glint/blue41";
             }
            host blue42  {
                hardware ethernet 00:14:5E:3E:93:66;
                fixed-address 192.168.70.42;
                option root-path
               "192.168.70.254:/local/glint/blue42";
            }
        }

## Zach's entries for Stateless
    group {
#   tftp server address and pxe boot file
            next-server 192.168.70.14;
            filename "linux-install/pxelinux.0";
            host blue14  {
                hardware ethernet 00:0D:60:9D:4C:FE;
                fixed-address 192.168.70.14;
            }
            host blue13 {
                hardware ethernet 00:0D:60:9D:4E:3E;
                fixed-address 192.168.70.13;
            }
            host blue12 {
		hardware ethernet 00:0D:60:9D:4B:CA;
                fixed-address 192.168.70.12;
            }
    }

        # we want the nameserver to appear at a fixed address
#        host ns {
#                next-server marvin.redhat.com;
#               hardware ethernet 12:34:56:78:AB:CD;
#                fixed-address 207.175.42.254;
#        }

}

subnet 192.168.71.0 netmask 255.255.255.0 {
# --- default gateway
#       option routers                  192.168.71.254;
#       option subnet-mask              255.255.255.0;

#       option nis-domain               "blue-net";
        option domain-name              "blue.cs.clemson.edu cs.clemson.edu eth1.cs.clemson.edu";
        option domain-name-servers      192.168.70.254;

        option time-offset              -19000; # Eastern Standard Time
#       option ntp-servers              192.168.70.254;
#       option netbios-name-servers     192.168.1.1;
# --- Selects point-to-point node (default is hybrid). Don't change this unless
# -- you understand Netbios very well
#       option netbios-node-type 2;

        range dynamic-bootp 192.168.71.50 192.168.71.99;
        default-lease-time 21600;
        max-lease-time 43200;
# Theoretically this will cause us NOT to respond to
# broadcasts on eth1
        local-address 192.168.71.254;
    group {
            host blue15a {
                hardware ethernet 00:0D:60:9C:4D:23;
                fixed-address 192.168.71.15;
             }
            host blue16a {
                hardware ethernet 00:0D:60:9C:71:95;
                fixed-address 192.168.71.16;
             }
            host blue17a {
                hardware ethernet 00:0D:60:9C:4C:0D;
                fixed-address 192.168.71.17;
             }
            host blue18a {
                hardware ethernet 00:0D:60:9C:5C:8F;
                fixed-address 192.168.71.18;
             }
            host blue19a {
                hardware ethernet 00:0D:60:9C:72:27;
                fixed-address 192.168.71.19;
             }
            host blue20a {
                hardware ethernet 00:0D:60:9C:71:C5;
                fixed-address 192.168.71.20;
             }
            host blue21a {
                hardware ethernet 00:0D:60:9D:45:41;
                fixed-address 192.168.71.21;
             }
            host blue22a {
                hardware ethernet 00:0D:60:9C:71:A7;
                fixed-address 192.168.71.22;
             }
            host blue23a {
                hardware ethernet 00:0D:60:9D:4D:0B;
                fixed-address 192.168.71.23;
             }
            host blue24a {
                hardware ethernet 00:0D:60:9C:73:0F;
                fixed-address 192.168.71.24;
             }
            host blue25a {
                hardware ethernet 00:0D:60:9D:4C:B5;
                fixed-address 192.168.71.25;
             }
            host blue26a {
                hardware ethernet 00:0D:60:9C:5A:87;
                fixed-address 192.168.71.26;
             }
            host blue27a {
                hardware ethernet 00:0D:60:9D:4C:95;
                fixed-address 192.168.71.27;
             }
            host blue28a {
                hardware ethernet 00:14:5E:3E:94:7F;
                fixed-address 192.168.71.28;
             }
            host blue29a {
                hardware ethernet 00:1A:64:F4:26:2F;
                fixed-address 192.168.71.29;
              }
            host blue30a {
                hardware ethernet 00:1A:64:F4:21:31;
                fixed-address 192.168.71.30;
            }
            host blue31a {
                hardware ethernet 00:1A:64:F4:27:19;
                fixed-address 192.168.71.31;
             }
            host blue32a {
                hardware ethernet 00:1A:64:F4:27:E5;
                fixed-address 192.168.71.32;
             }
            host blue33a {
                hardware ethernet 00:1A:64:F4:25:CF;
                fixed-address 192.168.71.33;
             }
            host blue34a {
                hardware ethernet 00:1A:64:F4:26:1D;
                fixed-address 192.168.71.34;
             }
            host blue35a {
                hardware ethernet 00:1A:64:F4:27:84;
                fixed-address 192.168.71.35;
             }
            host blue36a {
                hardware ethernet 00:14:5E:3E:BC:C7;
                fixed-address 192.168.71.36;
             }
            host blue37a {
                hardware ethernet 00:14:5E:3E:BD:99;
                fixed-address 192.168.71.37;
             }
            host blue38a {
                hardware ethernet 00:14:5E:3E:92:7F;
                fixed-address 192.168.71.38;
             }
            host blue39a {
                hardware ethernet 00:14:5E:3E:BD:B9;
                fixed-address 192.168.71.39;
             }
            host blue40a {
                hardware ethernet 00:14:5E:3E:94:47;
                fixed-address 192.168.71.40;
             }
            host blue41a {
                hardware ethernet 00:14:5E:3E:BC:C5;
                fixed-address 192.168.71.41;
             }
            host blue42a {
                hardware ethernet 00:14:5E:3E:93:67;
                fixed-address 192.168.71.42;
             }

#Zach's entries for stateless
            host blue14a {
                hardware ethernet 00:0D:60:9D:4C:FF;
                fixed-address 192.168.71.14;
            }
            host blue13a {
                hardware ethernet 00:0D:60:9D:4E:3F;
                fixed-address 192.168.71.13;
            }
            host blue12a {
		hardware ethernet 00:0D:60:9D:4B:CB;
                fixed-address 192.168.71.12;
            }
     }
}
}
